import { GridCellBase } from "./GridCellBase";
import { DomWrapper, DomRenderer } from "igniteui-webcomponents-core";
import { Type } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class SummaryCell extends GridCellBase {
    static $t: Type;
    private b8;
    readonly cb: DomWrapper;
    private b9;
    readonly cc: DomWrapper;
    private ca;
    private ce;
    bx(a: number, b: number): void;
    private cd;
    br(a: number, b: number): void;
    constructor(a: DomRenderer);
    protected get_r(): boolean;
    protected bh(a: string, b: any, c: any): void;
}
